/*
   Slpm.h - OS/2 PM Shopping list header file
         */

#define CREATE_CURSOR_MACRO WinCreateCursor(hwnd,\
0,cyClient-cyChar*(1+sCurrentLine),cxClient,cyChar,\
CURSOR_SOLID,NULL)

#define MOVE_CURSOR_MACRO WinCreateCursor(hwnd,\
0,cyClient-cyChar*(1+sCurrentLine),0,0,\
CURSOR_SETPOS,NULL)

#define CHAR_DELAY 1200   /* Character delay in milliseconds */

#define COUPON_POSITION   1
#define CHECK_POSITION    3  /* was 4 */
#define CHECK_SIZE        2
#define TEXT_POSITION     7  /* was 8 */

#define ID_WINDOW       256

#define ID_MENU_FILE    260
#define ID_OPEN         261
#define ID_SAVE         262
#define ID_PRINT        263
#define ID_PRINT_ALL    264
#define ID_EXITPROG     265
#define ID_ABOUT        266

#define ID_MENU_ITEM    270
#define ID_ADD          271
#define ID_COPY         272
#define ID_DELETE       273

#define ID_MENU_SORT    280
#define ID_SORT_NAME    281
#define ID_SORT_STORE   282

#define ID_MENU_EXIT    290
#define ID_RESUME       291

#define ID_TOGGLE_SELECT 300
#define ID_SELECT_COUPON 301

#define IDB_SLPMCHK     310
#define IDB_SLPMCPN     311

#define IDD_ADDCOPY     320
#define IDD_LOCATION    321
#define IDD_ITEMNAME    322

#define IDS_HELPSUMMARY 330

#define WM_USER_REBUILD WM_USER+1

#define NOT_SELECTED   '\0'

#define COUPON          0x80
#define PLACE_HOLDER    0X40

#define ID_NULL         9999

typedef  struct _SLPMstores  {     /* the store file */
         CHAR cStore ;  /* the store id */
         CHAR szStoreName[40]; /* the store name */
                  }  ;

typedef struct _SLPMstores SLPMstores ;

typedef  SLPMstores *PSLPMSTORES ;

typedef  struct _SLPMslist {
         CHAR cStore;    /* the store id */
         CHAR szAisle[3]; /* aisle within the store */
         UCHAR cSelected;   /* blank if not selected */
         CHAR szDescription[72]; /* description of item */
                 } ;

typedef struct _SLPMslist SLPMslist ;

typedef  SLPMslist FAR *PSLPMSLIST ;

